Subject: Re: [PATCH v5 01/15] packfile: introduce a new `struct packfile_store`

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 23 Sep 2025 11:34:59 +0200

On Wed, Sep 17, 2025 at 04:26:52PM -0500, Justin Tobler wrote:
> On 25/09/15 10:54AM, Patrick Steinhardt wrote:
> > @@ -91,6 +91,7 @@ struct odb_source {
> >  };
> >  
> >  struct packed_git;
> > +struct packfile_store;
> 
> I find it a bit suprising that we already add a `struct packfile_store`
> to `struct odb_source` since it doesn't get wired up yet. I suppose it's
> just acting as a placeholder for what's to come though.

You're probably misreading this: we don't add it to `struct odb_source`.
This is only a forward declaration so that we can include the struct in
`struct object_database`, which happens in this same commit.

Patrick